Bug 839865 - Nouveau DP-DVI connected monitor not detected after modeset
Nouveau DP-DVI connected monitor not detected after modeset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
nouveau first=3.3 tested=3.4.4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 01:09 EDT by Need Real Name
Modified: 2013-02-13 07:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:51:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from last working kernel version (83.27 KB, text/plain)
2012-07-13 01:09 EDT, Need Real Name
no flags Details
dmesg from 3.4.4-4 non-working kernel (81.19 KB, text/plain)
2012-07-13 01:10 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2012-07-13 01:09:38 EDT
Created attachment 597969 [details]
dmesg from last working kernel version

Description of problem:

My primary display is an Nvidia card with a DP port and adapter to a DVI-connected monitor. It shows the BIOS POST and grub2 interfaces, but immediately after the nouveau drm driver starts, the monitor goes to sleep and is not detected by the kernel drm.

Version-Release number of selected component (if applicable):

Last known good: kernel-3.2.10-3.fc16.x86_64

Every update after fails, including: kernel-3.4.4-4.fc16.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Boot newer kernel
2. See display turn off when drm initializes
3.
  
Actual results:

Display goes to sleep and the Nvidia DP-1 port is listed as unconnected in xrandr.

Expected results:

Display shows kernel boot process and later the GDM prompt, with the Nvidia DP-1 port listed as connected.

Additional info:

I boot without the 'rhgb quiet' kernel command options. The display turns off right where you would normally see a change in the console font and the switch to plymouth.

I have a secondary radeon card installed.  It is detected and initialized normally by both kernels.
Comment 1 Need Real Name 2012-07-13 01:10:30 EDT
Created attachment 597970 [details]
dmesg  from 3.4.4-4 non-working kernel
Comment 2 Need Real Name 2012-08-21 10:47:01 EDT
BTW, this problem continues with the recent kernel-3.4.9-1.fc16.x86_64.
Comment 3 Need Real Name 2012-10-09 20:06:49 EDT
This problem continues with kernel-3.4.12-1.fc16.x86_64
Comment 4 Need Real Name 2012-10-09 22:10:11 EDT
I swapped the card for another NV50 unit that has a physical DVI port on it, and this works properly with kernel-3.4.12-1.fc16.x86_64.

I don't have many opportunities to disable this workstation for testing, but please let me know if there is any specific test/logging I can perform that would help isolate the bug further.  In the meantime, I'll just use this other card so we can run updated kernels again...
Comment 5 Fedora End Of Life 2013-01-16 07:32:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 07:51:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.